> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloud.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Query Log

> Download a query log file for troubleshooting.




## OpenAPI

````yaml en/API/REST-API-Embedded.yaml GET /log/query/get/{queryId}
openapi: 3.1.0
info:
  title: CData Connect AI REST API Embedded
  version: v1
servers:
  - url: https://cloud.cdata.com/api
    description: Production base URL
security:
  - BearerAuth: []
paths:
  /log/query/get/{queryId}:
    get:
      tags:
        - Log
      summary: Get Query Log
      description: |
        Download a query log file for troubleshooting.
      operationId: getQueryLog
      parameters:
        - name: queryId
          in: path
          required: true
          description: The unique Id of the query for which to download the log file.
          schema:
            type: string
      responses:
        '200':
          description: OK and the zipped log file.
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT token authentication. Include the token in the Authorization header
        as `Bearer {token}`. See
        [Authentication](/en/API/Authentication-Embedded) for more information
        on creating a token.

````